summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-09-25 01:05:55 +0000
committer Eric Hameleers <alien@slackware.com>2021-09-25 08:59:58 +0200
commit33d703602d5c2f4d51f5a253fbc3939d30729aaf (patch)
tree4eaf2e003461a6cd41b4c67bb2c7556569b6f7b4 /source
parent0f7d38bee156c0926945743e1902ece2b531809f (diff)
downloadcurrent-33d703602d5c2f4d51f5a253fbc3939d30729aaf.tar.gz
current-33d703602d5c2f4d51f5a253fbc3939d30729aaf.tar.xz
Sat Sep 25 01:05:55 UTC 202120210925010555
a/coreutils-9.0-x86_64-1.txz: Upgraded. Thanks to GazL for pointing out where I needed to be looking in the code to stick with the traditional (for us, anyway) ls quoting style. n/ca-certificates-20210924-noarch-1.txz: Upgraded. Removed DST_Root_CA_X3.crt. n/cifs-utils-6.14-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/coreutils/coreutils.SlackBuild2
-rw-r--r--source/a/coreutils/no_ls_quoting.patch52
-rwxr-xr-xsource/l/fribidi/fribidi.SlackBuild12
-rwxr-xr-xsource/n/bind/bind.SlackBuild15
-rw-r--r--source/n/bind/default.named21
-rw-r--r--source/n/bind/rc.bind20
-rwxr-xr-xsource/n/ca-certificates/ca-certificates.SlackBuild5
-rw-r--r--source/n/ca-certificates/certdata-20210924.txt (renamed from source/n/ca-certificates/certdata-20210922.txt)0
-rwxr-xr-xsource/n/php/fetch-php.sh4
-rw-r--r--source/x/xdg-desktop-portal/slack-desc19
-rwxr-xr-xsource/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild145
-rw-r--r--source/x/xdg-desktop-portal/xdg-desktop-portal.url1
12 files changed, 221 insertions, 75 deletions
diff --git a/source/a/coreutils/coreutils.SlackBuild b/source/a/coreutils/coreutils.SlackBuild
index 3ba9bebe9..7115320b9 100755
--- a/source/a/coreutils/coreutils.SlackBuild
+++ b/source/a/coreutils/coreutils.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=coreutils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/a/coreutils/no_ls_quoting.patch b/source/a/coreutils/no_ls_quoting.patch
index bfc9d0187..b8643c40f 100644
--- a/source/a/coreutils/no_ls_quoting.patch
+++ b/source/a/coreutils/no_ls_quoting.patch
@@ -1,41 +1,11 @@
-Description: revert inconsistent ls quoting
- This is a revert of upstream commit 109b9220cead6e979d22d16327c4d9f8350431cc.
- Info changed to reflect current upstream intentions.
-
-Bug-Debian: https://bugs.debian.org/813164
-
---- coreutils-8.25.orig/NEWS
-+++ coreutils-8.25/NEWS
-@@ -71,9 +71,6 @@ GNU coreutils NEWS
- df now prefers sources towards the root of a device when
- eliding duplicate bind mounted entries.
-
-- ls now quotes file names unambiguously and appropriate for use in a shell,
-- when outputting to a terminal.
--
- join, sort, uniq with --zero-terminated, now treat '\n' as a field delimiter.
-
- ** Improvements
---- coreutils-8.25.orig/doc/coreutils.texi
-+++ coreutils-8.25/doc/coreutils.texi
-@@ -7750,8 +7750,8 @@ this"} in the default C locale. This lo
-
- You can specify the default value of the @option{--quoting-style} option
- with the environment variable @env{QUOTING_STYLE}@. If that environment
--variable is not set, the default value is @samp{shell-escape} when the
--output is a terminal, and @samp{literal} otherwise.
-+variable is not set, the default value is @samp{literal}, but this
-+default may change to @samp{shell-escape} in a future version of this package.
-
- @item --show-control-chars
- @opindex --show-control-chars
---- coreutils-8.25.orig/src/ls.c
-+++ coreutils-8.25/src/ls.c
-@@ -1581,7 +1581,6 @@ decode_switches (int argc, char **argv)
- if (isatty (STDOUT_FILENO))
- {
- format = many_per_line;
-- set_quoting_style (NULL, shell_escape_quoting_style);
- /* See description of qmark_funny_chars, above. */
- qmark_funny_chars = true;
- }
+--- ./src/ls.c.orig 2021-09-24 06:31:05.000000000 -0500
++++ ./src/ls.c 2021-09-24 19:47:32.230001419 -0500
+@@ -2342,7 +2342,7 @@
+ qs = getenv_quoting_style ();
+ if (qs < 0)
+ qs = (ls_mode == LS_LS
+- ? (stdout_isatty () ? shell_escape_quoting_style : -1)
++ ? (stdout_isatty () ? escape_quoting_style : -1)
+ : escape_quoting_style);
+ if (0 <= qs)
+ set_quoting_style (NULL, qs);
diff --git a/source/l/fribidi/fribidi.SlackBuild b/source/l/fribidi/fribidi.SlackBuild
index 3aecd01a5..51a9347fc 100755
--- a/source/l/fribidi/fribidi.SlackBuild
+++ b/source/l/fribidi/fribidi.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fribidi
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,12 +70,18 @@ rm -rf fribidi-$VERSION
tar xvf $CWD/fribidi-$VERSION.tar.?z* || exit 1
cd fribidi-$VERSION || exit 1
-chown -R root:root .
find . -perm 777 -exec chmod 755 {} \+
find . -perm 775 -exec chmod 755 {} \+
find . -perm 664 -exec chmod 644 {} \+
chown -R root:root .
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
CFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
diff --git a/source/n/bind/bind.SlackBuild b/source/n/bind/bind.SlackBuild
index 7af3a2041..5e752c76f 100755
--- a/source/n/bind/bind.SlackBuild
+++ b/source/n/bind/bind.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=bind
VERSION=${VERSION:-$(echo ${PKGNAM}-[0-9]*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -112,9 +112,11 @@ rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
)
# We like a lot of symlinks.
-( cd $PKG/usr/man/man3
- sh $CWD/3link.sh
-)
+if [ -d $PKG/usr/man/man3 ]; then
+ ( cd $PKG/usr/man/man3
+ sh $CWD/3link.sh
+ )
+fi
# Install init script:
mkdir -p $PKG/etc/rc.d
@@ -122,7 +124,6 @@ cp -a $CWD/rc.bind $PKG/etc/rc.d/rc.bind.new
chmod 644 $PKG/etc/rc.d/rc.bind.new
# Install default options file for named:
-mkdir $PKG/etc/default
cat $CWD/default.named > $PKG/etc/default/named.new
# Fix library perms:
@@ -152,7 +153,9 @@ cp -a \
$PKG/usr/doc/${PKGNAM}-$VERSION
# This one should have the correct perms of the config file:
-chmod 644 $PKG/usr/doc/${PKGNAM}-$VERSION/misc/rndc.conf-sample
+if [ -r $PKG/usr/doc/${PKGNAM}-$VERSION/misc/rndc.conf-sample ]; then
+ chmod 644 $PKG/usr/doc/${PKGNAM}-$VERSION/misc/rndc.conf-sample
+fi
# One format of this is plenty. Especially get rid of the bloated PDF.
( cd $PKG/usr/doc/bind-$VERSION/arm
diff --git a/source/n/bind/default.named b/source/n/bind/default.named
index 2983934f4..50e18664b 100644
--- a/source/n/bind/default.named
+++ b/source/n/bind/default.named
@@ -1,15 +1,12 @@
# User to run named as:
-BIND_USER=named
+NAMED_USER=named
-# By default, named will also run as the primary group of $BIND_USER.
-# We will determine this now for the purpose of also chowning /run/named
-# and /var/named to this group. You may also comment this section out and
-# set BIND_GROUP manually if desired.
-BIND_GROUP="$(groups $BIND_USER | cut -f 3 -d " ")"
-# Fallback if there's no primary group for $BIND_USER:
-if [ -z "$BIND_GROUP" ]; then
- BIND_GROUP=wheel
-fi
+# Group to use for chowning named related files and directories.
+# By default, named will also run as the primary group of $NAMED_USER,
+# which will usually be the same as what's listed below, but not
+# necessarily if something other than the default of "named" is used.
+NAMED_GROUP=named
-# Options to run named with:
-NAMED_OPTIONS="-u $BIND_USER"
+# Options to run named with. At least -u $NAMED_USER is required, but
+# additional options may be added if needed.
+NAMED_OPTIONS="-u $NAMED_USER"
diff --git a/source/n/bind/rc.bind b/source/n/bind/rc.bind
index 4cc8f49cf..169db8126 100644
--- a/source/n/bind/rc.bind
+++ b/source/n/bind/rc.bind
@@ -16,15 +16,15 @@
if [ -f /etc/default/named ] ; then . /etc/default/named ; fi
if [ -f /etc/default/rndc ] ; then . /etc/default/rndc ; fi
-# In case /etc/default/named was missing:
-if [ -z "$BIND_USER" ]; then
- BIND_USER="named"
+# In case /etc/default/named was missing, provide fallbacks:
+if [ -z "$NAMED_USER" ]; then
+ NAMED_USER="named"
fi
-if [ -z "$BIND_GROUP" ]; then
- BIND_GROUP="named"
+if [ -z "$NAMED_GROUP" ]; then
+ NAMED_GROUP="named"
fi
-if [ -z "$BIND_OPTIONS" ]; then
- BIND_OPTIONS="-u $BIND_USER"
+if [ -z "$NAMED_OPTIONS" ]; then
+ NAMED_OPTIONS="-u $NAMED_USER"
fi
# Sanity check. If /usr/sbin/named is missing then it
@@ -41,12 +41,12 @@ bind_start() {
# Make sure /var/run/named exists:
mkdir -p /var/run/named
# Make sure that /var/run/named has correct ownership:
- chown -R ${BIND_USER}:${BIND_GROUP} /var/run/named
+ chown -R ${NAMED_USER}:${NAMED_GROUP} /var/run/named
# Make sure that /var/named has correct ownership:
- chown -R ${BIND_USER}:${BIND_GROUP} /var/named
+ chown -R ${NAMED_USER}:${NAMED_GROUP} /var/named
if [ -r /etc/rndc.key ]; then
# Make sure that /etc/rndc.key has correct ownership:
- chown ${BIND_USER}:${BIND_GROUP} /etc/rndc.key
+ chown ${NAMED_USER}:${NAMED_GROUP} /etc/rndc.key
fi
# Start named:
if [ -x /usr/sbin/named ]; then
diff --git a/source/n/ca-certificates/ca-certificates.SlackBuild b/source/n/ca-certificates/ca-certificates.SlackBuild
index 753bcf7fe..752e56c06 100755
--- a/source/n/ca-certificates/ca-certificates.SlackBuild
+++ b/source/n/ca-certificates/ca-certificates.SlackBuild
@@ -75,6 +75,11 @@ xzcat $CWD/certdata-${VERSION}.txt.xz > mozilla/certdata.txt
make || exit 1
make install DESTDIR=$PKG || exit 1
+# Remove expired certificate:
+if [ -r $PKG//usr/share/ca-certificates/mozilla/DST_Root_CA_X3.crt ]; then
+ rm -f $PKG//usr/share/ca-certificates/mozilla/DST_Root_CA_X3.crt
+fi
+
mkdir -p $PKG/etc/ca-certificates/update.d
printf "# Automatically generated by $PKGNAM-$VERSION \n#\n" \
> $PKG/etc/ca-certificates.conf.new
diff --git a/source/n/ca-certificates/certdata-20210922.txt b/source/n/ca-certificates/certdata-20210924.txt
index dfaeceb89..dfaeceb89 100644
--- a/source/n/ca-certificates/certdata-20210922.txt
+++ b/source/n/ca-certificates/certdata-20210924.txt
diff --git a/source/n/php/fetch-php.sh b/source/n/php/fetch-php.sh
index 66c1d5f62..d11ebb865 100755
--- a/source/n/php/fetch-php.sh
+++ b/source/n/php/fetch-php.sh
@@ -1,2 +1,2 @@
-lftpget http://us.php.net/distributions/php-7.4.23.tar.xz.asc
-lftpget http://us.php.net/distributions/php-7.4.23.tar.xz
+lftpget http://us.php.net/distributions/php-7.4.24.tar.xz.asc
+lftpget http://us.php.net/distributions/php-7.4.24.tar.xz
diff --git a/source/x/xdg-desktop-portal/slack-desc b/source/x/xdg-desktop-portal/slack-desc
new file mode 100644
index 000000000..8adad0cdd
--- /dev/null
+++ b/source/x/xdg-desktop-portal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xdg-desktop-portal: xdg-desktop-portal (XDG portal frontend service)
+xdg-desktop-portal:
+xdg-desktop-portal: A portal frontend service for Flatpak and possibly other desktop
+xdg-desktop-portal: containment frameworks. xdg-desktop-portal works by exposing a series
+xdg-desktop-portal: of D-Bus interfaces known as _portals_ under a well-known name
+xdg-desktop-portal: (org.freedesktop.portal.Desktop) and object path
+xdg-desktop-portal: (/org/freedesktop/portal/desktop). The portal interfaces include APIs
+xdg-desktop-portal: for file access, opening URIs, printing and others.
+xdg-desktop-portal:
+xdg-desktop-portal:
+xdg-desktop-portal:
diff --git a/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild b/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild
new file mode 100755
index 000000000..a8018be1f
--- /dev/null
+++ b/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild
@@ -0,0 +1,145 @@
+#!/bin/bash
+
+# Copyright 2018 Vincent Batts <vbatts@hashbangbash.com>
+# Copyright 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=xdg-desktop-portal
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --disable-libportal \
+ --disable-geoclue \
+ --build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* ChangeLog CHANGES COPYING* LICENSE* NEWS* README* SECURITY* THANKS* TODO* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/x/xdg-desktop-portal/xdg-desktop-portal.url b/source/x/xdg-desktop-portal/xdg-desktop-portal.url
new file mode 100644
index 000000000..5ec63f2bc
--- /dev/null
+++ b/source/x/xdg-desktop-portal/xdg-desktop-portal.url
@@ -0,0 +1 @@
+https://github.com/flatpak/xdg-desktop-portal